const {
    Telegraf,
    Scenes,
    Markup
} = require('telegraf')
const bot = new Telegraf(process.env.BOT_TOKEN)
const {
  slots,
  phones,
  UserModel,
  WorldModel,
  SkillsModel,
  PropertyModel
} = global.config
const {
  spaces,
  getSlot,
  giveExp,
  rand,
  random,
  setCooldown
} = global.utils;
const crime = new Scenes.BaseScene('Crime');

crime.enter( async (ctx) => {
    ctx.reply('Scene: Выберите ограбление', Markup.inlineKeyboard([
        [{text: 'Карманные кражи [7 lvl.][SOLO]', callback_data: `POCKET_ACTION`}], 
        [{text: 'Магазин [8 lvl.][SOLO/DUO]', callback_data: `SHOP_ACTION`}], 
        [{text: 'Банкомат', callback_data: `WIP`}], 
        [{text: 'Банковское отделение', callback_data: `WIP`}], 
        [{text: 'Угон', callback_data: `WIP`}], 
        [{text: 'Ювелирка', callback_data: `WIP`}], 
        [{text: 'Банк', callback_data: `WIP`}]
  ]))
});

crime.action(`POCKET_ACTION`, async (ctx) => {
  return ctx.scene.enter('POCKET_STEAL')
});

crime.action(`SHOP_ACTION`, async (ctx) => {
  return ctx.scene.enter('SHOP_ROBBERY')
});

crime.action(`WIP`, async (ctx) => {
  ctx.reply(`Еще не доступно.`)
});

crime.leave((ctx) => {
  console.log('Завершено');
}); 

module.exports = crime